import * as e from "react";
import { IgcAvatarComponent as a, IgcIconComponent as t, IgcExpansionPanelComponent as o, IgcAccordionComponent as g, IgcBadgeComponent as r, IgcButtonComponent as c, IgcBannerComponent as i, IgcToggleButtonComponent as s, IgcButtonGroupComponent as l, IgcCalendarComponent as I, IgcCardActionsComponent as d, IgcCardContentComponent as m, IgcCardHeaderComponent as p, IgcCardMediaComponent as C, IgcCardComponent as u, IgcIconButtonComponent as N, IgcDividerComponent as M, IgcTileComponent as S, IgcTileManagerComponent as T, IgcCarouselIndicatorComponent as D, IgcCarouselSlideComponent as y, IgcCarouselComponent as v, IgcCheckboxComponent as h, IgcCircularGradientComponent as R, IgcCircularProgressComponent as P, IgcChipComponent as b, IgcInputComponent as w, IgcComboComponent as k, IgcDateTimeInputComponent as O, IgcDialogComponent as H, IgcDatePickerComponent as E, IgcDropdownItemComponent as z, IgcDropdownGroupComponent as x, IgcDropdownHeaderComponent as B, IgcDropdownComponent as A, IgcFileInputComponent as L, IgcSelectItemComponent as G, IgcSelectGroupComponent as f, IgcSelectHeaderComponent as F, IgcSelectComponent as J, IgcLinearProgressComponent as K, IgcListHeaderComponent as U, IgcListItemComponent as j, IgcListComponent as q, IgcMaskInputComponent as Q, IgcNavDrawerHeaderItemComponent as V, IgcNavDrawerItemComponent as W, IgcNavDrawerComponent as X, IgcNavbarComponent as Y, IgcRadioComponent as Z, IgcRadioGroupComponent as _, IgcRatingSymbolComponent as $, IgcRatingComponent as ee, IgcRippleComponent as ne, IgcSliderLabelComponent as ae, IgcRangeSliderComponent as te, IgcSnackbarComponent as oe, IgcSliderComponent as ge, IgcTabComponent as re, IgcTabsComponent as ce, IgcToastComponent as ie, IgcSwitchComponent as se, IgcTextareaComponent as le, IgcTreeItemComponent as Ie, IgcTreeComponent as de, IgcStepComponent as me, IgcStepperComponent as pe, IgcTooltipComponent as Ce } from "igniteui-webcomponents";
import { DatePart as nt, DateRangeType as at, IgcCalendarResourceStringEN as tt, configureTheme as ot, registerIcon as gt, registerIconFromText as rt, setIconRef as ct } from "igniteui-webcomponents";
import { createComponent as n } from "./template-renderer.js";
import { IgcDockManagerComponent as ue } from "igniteui-dockmanager";
import { IgcDockManagerPaneType as st, IgcDockManagerResourceStringsEN as lt, IgcDockManagerResourceStringsES as It, IgcDockManagerResourceStringsJP as dt, IgcDockManagerResourceStringsKO as mt, IgcDockingIndicatorPosition as pt, IgcPaneActionBehavior as Ct, IgcPaneDragActionType as ut, IgcResizerLocation as Nt, IgcSplitPaneOrientation as Mt, IgcUnpinnedLocation as St } from "igniteui-dockmanager";
import { defineCustomElements as Ne } from "igniteui-dockmanager/loader/index.js";
const ye = n({
  tagName: "igc-avatar",
  displayName: "IgrAvatar",
  elementClass: a,
  react: e
}), ve = a, he = n({
  tagName: "igc-icon",
  displayName: "IgrIcon",
  elementClass: t,
  react: e
}), Re = t, Pe = n({
  tagName: "igc-expansion-panel",
  displayName: "IgrExpansionPanel",
  elementClass: o,
  react: e,
  events: {
    onOpening: "igcOpening",
    onOpened: "igcOpened",
    onClosing: "igcClosing",
    onClosed: "igcClosed"
  }
}), be = o, we = n({
  tagName: "igc-accordion",
  displayName: "IgrAccordion",
  elementClass: g,
  react: e,
  events: {
    onOpening: "igcOpening",
    onOpened: "igcOpened",
    onClosing: "igcClosing",
    onClosed: "igcClosed"
  }
}), ke = g, Oe = n({
  tagName: "igc-badge",
  displayName: "IgrBadge",
  elementClass: r,
  react: e
}), He = r, Ee = n({
  tagName: "igc-button",
  displayName: "IgrButton",
  elementClass: c,
  react: e
}), ze = c, xe = n({
  tagName: "igc-banner",
  displayName: "IgrBanner",
  elementClass: i,
  react: e,
  events: {
    onClosing: "igcClosing",
    onClosed: "igcClosed"
  }
}), Be = i, Ae = n({
  tagName: "igc-toggle-button",
  displayName: "IgrToggleButton",
  elementClass: s,
  react: e
}), Le = s, Ge = n({
  tagName: "igc-button-group",
  displayName: "IgrButtonGroup",
  elementClass: l,
  react: e,
  events: {
    onSelect: "igcSelect",
    onDeselect: "igcDeselect"
  }
}), fe = l, Fe = n({
  tagName: "igc-calendar",
  displayName: "IgrCalendar",
  elementClass: I,
  react: e,
  events: {
    onChange: "igcChange"
  }
}), Je = I, Ke = n({
  tagName: "igc-card-actions",
  displayName: "IgrCardActions",
  elementClass: d,
  react: e
}), Ue = d, je = n({
  tagName: "igc-card-content",
  displayName: "IgrCardContent",
  elementClass: m,
  react: e
}), qe = m, Qe = n({
  tagName: "igc-card-header",
  displayName: "IgrCardHeader",
  elementClass: p,
  react: e
}), Ve = p, We = n({
  tagName: "igc-card-media",
  displayName: "IgrCardMedia",
  elementClass: C,
  react: e
}), Xe = C, Ye = n({
  tagName: "igc-card",
  displayName: "IgrCard",
  elementClass: u,
  react: e
}), Ze = u, _e = n({
  tagName: "igc-icon-button",
  displayName: "IgrIconButton",
  elementClass: N,
  react: e
}), $e = N, en = n({
  tagName: "igc-divider",
  displayName: "IgrDivider",
  elementClass: M,
  react: e
}), nn = M, an = n({
  tagName: "igc-tile",
  displayName: "IgrTile",
  elementClass: S,
  react: e,
  events: {
    onTileFullscreen: "igcTileFullscreen",
    onTileMaximize: "igcTileMaximize",
    onTileDragStart: "igcTileDragStart",
    onTileDragEnd: "igcTileDragEnd",
    onTileDragCancel: "igcTileDragCancel",
    onTileResizeStart: "igcTileResizeStart",
    onTileResizeEnd: "igcTileResizeEnd",
    onTileResizeCancel: "igcTileResizeCancel"
  }
}), tn = S, on = n({
  tagName: "igc-tile-manager",
  displayName: "IgrTileManager",
  elementClass: T,
  react: e,
  events: {
    onTileFullscreen: "igcTileFullscreen",
    onTileMaximize: "igcTileMaximize",
    onTileDragStart: "igcTileDragStart",
    onTileDragEnd: "igcTileDragEnd",
    onTileDragCancel: "igcTileDragCancel",
    onTileResizeStart: "igcTileResizeStart",
    onTileResizeEnd: "igcTileResizeEnd",
    onTileResizeCancel: "igcTileResizeCancel"
  }
}), gn = T, rn = n({
  tagName: "igc-carousel-indicator",
  displayName: "IgrCarouselIndicator",
  elementClass: D,
  react: e
}), cn = D, sn = n({
  tagName: "igc-carousel-slide",
  displayName: "IgrCarouselSlide",
  elementClass: y,
  react: e
}), ln = y, In = n({
  tagName: "igc-carousel",
  displayName: "IgrCarousel",
  elementClass: v,
  react: e,
  events: {
    onSlideChanged: "igcSlideChanged",
    onPlaying: "igcPlaying",
    onPaused: "igcPaused"
  }
}), dn = v, mn = n({
  tagName: "igc-checkbox",
  displayName: "IgrCheckbox",
  elementClass: h,
  react: e,
  events: {
    onChange: "igcChange"
  }
}), pn = h, Cn = n({
  tagName: "igc-circular-gradient",
  displayName: "IgrCircularGradient",
  elementClass: R,
  react: e
}), un = R, Nn = n({
  tagName: "igc-circular-progress",
  displayName: "IgrCircularProgress",
  elementClass: P,
  react: e
}), Mn = P, Sn = n({
  tagName: "igc-chip",
  displayName: "IgrChip",
  elementClass: b,
  react: e,
  events: {
    onRemove: "igcRemove",
    onSelect: "igcSelect"
  }
}), Tn = b, Dn = n({
  tagName: "igc-input",
  displayName: "IgrInput",
  elementClass: w,
  react: e,
  events: {
    onInput: "igcInput",
    onChange: "igcChange"
  }
}), yn = w, vn = n({
  tagName: "igc-combo",
  displayName: "IgrCombo",
  elementClass: k,
  react: e,
  events: {
    onChange: "igcChange",
    onOpening: "igcOpening",
    onOpened: "igcOpened",
    onClosing: "igcClosing",
    onClosed: "igcClosed"
  },
  renderProps: {
    itemTemplate: "itemTemplate",
    groupHeaderTemplate: "groupHeaderTemplate"
  }
}), hn = k, Rn = n({
  tagName: "igc-date-time-input",
  displayName: "IgrDateTimeInput",
  elementClass: O,
  react: e,
  events: {
    onInput: "igcInput",
    onChange: "igcChange"
  }
}), Pn = O, bn = n({
  tagName: "igc-dialog",
  displayName: "IgrDialog",
  elementClass: H,
  react: e,
  events: {
    onClosing: "igcClosing",
    onClosed: "igcClosed"
  }
}), wn = H, kn = n({
  tagName: "igc-date-picker",
  displayName: "IgrDatePicker",
  elementClass: E,
  react: e,
  events: {
    onOpening: "igcOpening",
    onOpened: "igcOpened",
    onClosing: "igcClosing",
    onClosed: "igcClosed",
    onChange: "igcChange",
    onInput: "igcInput"
  }
}), On = E, Hn = n({
  tagName: "igc-dropdown-item",
  displayName: "IgrDropdownItem",
  elementClass: z,
  react: e
}), En = z, zn = n({
  tagName: "igc-dropdown-group",
  displayName: "IgrDropdownGroup",
  elementClass: x,
  react: e
}), xn = x, Bn = n({
  tagName: "igc-dropdown-header",
  displayName: "IgrDropdownHeader",
  elementClass: B,
  react: e
}), An = B, Ln = n({
  tagName: "igc-dropdown",
  displayName: "IgrDropdown",
  elementClass: A,
  react: e,
  events: {
    onChange: "igcChange",
    onOpening: "igcOpening",
    onOpened: "igcOpened",
    onClosing: "igcClosing",
    onClosed: "igcClosed"
  }
}), Gn = A, fn = n({
  tagName: "igc-file-input",
  displayName: "IgrFileInput",
  elementClass: L,
  react: e,
  events: {
    onInput: "igcInput",
    onChange: "igcChange",
    onCancel: "igcCancel"
  }
}), Fn = L, Jn = n({
  tagName: "igc-select-item",
  displayName: "IgrSelectItem",
  elementClass: G,
  react: e
}), Kn = G, Un = n({
  tagName: "igc-select-group",
  displayName: "IgrSelectGroup",
  elementClass: f,
  react: e
}), jn = f, qn = n({
  tagName: "igc-select-header",
  displayName: "IgrSelectHeader",
  elementClass: F,
  react: e
}), Qn = F, Vn = n({
  tagName: "igc-select",
  displayName: "IgrSelect",
  elementClass: J,
  react: e,
  events: {
    onChange: "igcChange",
    onOpening: "igcOpening",
    onOpened: "igcOpened",
    onClosing: "igcClosing",
    onClosed: "igcClosed"
  }
}), Wn = J, Xn = n({
  tagName: "igc-linear-progress",
  displayName: "IgrLinearProgress",
  elementClass: K,
  react: e
}), Yn = K, Zn = n({
  tagName: "igc-list-header",
  displayName: "IgrListHeader",
  elementClass: U,
  react: e
}), _n = U, $n = n({
  tagName: "igc-list-item",
  displayName: "IgrListItem",
  elementClass: j,
  react: e
}), ea = j, na = n({
  tagName: "igc-list",
  displayName: "IgrList",
  elementClass: q,
  react: e
}), aa = q, ta = n({
  tagName: "igc-mask-input",
  displayName: "IgrMaskInput",
  elementClass: Q,
  react: e,
  events: {
    onInput: "igcInput",
    onChange: "igcChange"
  }
}), oa = Q, ga = n({
  tagName: "igc-nav-drawer-header-item",
  displayName: "IgrNavDrawerHeaderItem",
  elementClass: V,
  react: e
}), ra = V, ca = n({
  tagName: "igc-nav-drawer-item",
  displayName: "IgrNavDrawerItem",
  elementClass: W,
  react: e
}), ia = W, sa = n({
  tagName: "igc-nav-drawer",
  displayName: "IgrNavDrawer",
  elementClass: X,
  react: e
}), la = X, Ia = n({
  tagName: "igc-navbar",
  displayName: "IgrNavbar",
  elementClass: Y,
  react: e
}), da = Y, ma = n({
  tagName: "igc-radio",
  displayName: "IgrRadio",
  elementClass: Z,
  react: e,
  events: {
    onChange: "igcChange"
  }
}), pa = Z, Ca = n({
  tagName: "igc-radio-group",
  displayName: "IgrRadioGroup",
  elementClass: _,
  react: e,
  events: {
    onChange: "igcChange"
  }
}), ua = _, Na = n({
  tagName: "igc-rating-symbol",
  displayName: "IgrRatingSymbol",
  elementClass: $,
  react: e
}), Ma = $, Sa = n({
  tagName: "igc-rating",
  displayName: "IgrRating",
  elementClass: ee,
  react: e,
  events: {
    onChange: "igcChange",
    onHover: "igcHover"
  }
}), Ta = ee, Da = n({
  tagName: "igc-ripple",
  displayName: "IgrRipple",
  elementClass: ne,
  react: e
}), ya = ne, va = n({
  tagName: "igc-slider-label",
  displayName: "IgrSliderLabel",
  elementClass: ae,
  react: e
}), ha = ae, Ra = n({
  tagName: "igc-range-slider",
  displayName: "IgrRangeSlider",
  elementClass: te,
  react: e,
  events: {
    onInput: "igcInput",
    onChange: "igcChange"
  }
}), Pa = te, ba = n({
  tagName: "igc-snackbar",
  displayName: "IgrSnackbar",
  elementClass: oe,
  react: e,
  events: {
    onAction: "igcAction"
  }
}), wa = oe, ka = n({
  tagName: "igc-slider",
  displayName: "IgrSlider",
  elementClass: ge,
  react: e,
  events: {
    onInput: "igcInput",
    onChange: "igcChange"
  }
}), Oa = ge, Ha = n({
  tagName: "igc-tab",
  displayName: "IgrTab",
  elementClass: re,
  react: e
}), Ea = re, za = n({
  tagName: "igc-tabs",
  displayName: "IgrTabs",
  elementClass: ce,
  react: e,
  events: {
    onChange: "igcChange"
  }
}), xa = ce, Ba = n({
  tagName: "igc-toast",
  displayName: "IgrToast",
  elementClass: ie,
  react: e
}), Aa = ie, La = n({
  tagName: "igc-switch",
  displayName: "IgrSwitch",
  elementClass: se,
  react: e,
  events: {
    onChange: "igcChange"
  }
}), Ga = se, fa = n({
  tagName: "igc-textarea",
  displayName: "IgrTextarea",
  elementClass: le,
  react: e,
  events: {
    onInput: "igcInput",
    onChange: "igcChange"
  }
}), Fa = le, Ja = n({
  tagName: "igc-tree-item",
  displayName: "IgrTreeItem",
  elementClass: Ie,
  react: e
}), Ka = Ie, Ua = n({
  tagName: "igc-tree",
  displayName: "IgrTree",
  elementClass: de,
  react: e,
  events: {
    onSelection: "igcSelection",
    onItemCollapsed: "igcItemCollapsed",
    onItemCollapsing: "igcItemCollapsing",
    onItemExpanded: "igcItemExpanded",
    onItemExpanding: "igcItemExpanding",
    onActiveItem: "igcActiveItem"
  }
}), ja = de, qa = n({
  tagName: "igc-step",
  displayName: "IgrStep",
  elementClass: me,
  react: e
}), Qa = me, Va = n({
  tagName: "igc-stepper",
  displayName: "IgrStepper",
  elementClass: pe,
  react: e,
  events: {
    onActiveStepChanging: "igcActiveStepChanging",
    onActiveStepChanged: "igcActiveStepChanged"
  }
}), Wa = pe, Xa = n({
  tagName: "igc-tooltip",
  displayName: "IgrTooltip",
  elementClass: Ce,
  react: e,
  events: {
    onOpening: "igcOpening",
    onOpened: "igcOpened",
    onClosing: "igcClosing",
    onClosed: "igcClosed"
  }
}), Ya = Ce;
Ne();
const Za = n({
  tagName: "igc-dockmanager",
  displayName: "IgrDockManager",
  elementClass: ue,
  react: e,
  events: {
    onPaneHeaderConnected: "paneHeaderConnected",
    onPaneHeaderDisconnected: "paneHeaderDisconnected",
    onTabHeaderConnected: "tabHeaderConnected",
    onTabHeaderDisconnected: "tabHeaderDisconnected",
    onSplitterResizeStart: "splitterResizeStart",
    onSplitterResizeEnd: "splitterResizeEnd",
    onPaneClose: "paneClose",
    onPaneScroll: "paneScroll",
    onPanePinnedToggle: "panePinnedToggle",
    onActivePaneChanged: "activePaneChanged",
    onPaneDragStart: "paneDragStart",
    onPaneDragOver: "paneDragOver",
    onPaneDragEnd: "paneDragEnd",
    onFloatingPaneResizeMove: "floatingPaneResizeMove",
    onFloatingPaneResizeEnd: "floatingPaneResizeEnd",
    onFloatingPaneResizeStart: "floatingPaneResizeStart",
    onLayoutChange: "layoutChange"
  }
}), _a = { register: () => {
} };
export {
  nt as DatePart,
  at as DateRangeType,
  we as IgrAccordion,
  ke as IgrAccordionModule,
  ye as IgrAvatar,
  ve as IgrAvatarModule,
  Oe as IgrBadge,
  He as IgrBadgeModule,
  xe as IgrBanner,
  Be as IgrBannerModule,
  Ee as IgrButton,
  Ge as IgrButtonGroup,
  fe as IgrButtonGroupModule,
  ze as IgrButtonModule,
  Fe as IgrCalendar,
  Je as IgrCalendarModule,
  tt as IgrCalendarResourceStringEN,
  Ye as IgrCard,
  Ke as IgrCardActions,
  Ue as IgrCardActionsModule,
  je as IgrCardContent,
  qe as IgrCardContentModule,
  Qe as IgrCardHeader,
  Ve as IgrCardHeaderModule,
  We as IgrCardMedia,
  Xe as IgrCardMediaModule,
  Ze as IgrCardModule,
  In as IgrCarousel,
  rn as IgrCarouselIndicator,
  cn as IgrCarouselIndicatorModule,
  dn as IgrCarouselModule,
  sn as IgrCarouselSlide,
  ln as IgrCarouselSlideModule,
  mn as IgrCheckbox,
  pn as IgrCheckboxModule,
  Sn as IgrChip,
  Tn as IgrChipModule,
  Cn as IgrCircularGradient,
  un as IgrCircularGradientModule,
  Nn as IgrCircularProgress,
  Mn as IgrCircularProgressModule,
  vn as IgrCombo,
  hn as IgrComboModule,
  kn as IgrDatePicker,
  On as IgrDatePickerModule,
  Rn as IgrDateTimeInput,
  Pn as IgrDateTimeInputModule,
  bn as IgrDialog,
  wn as IgrDialogModule,
  en as IgrDivider,
  nn as IgrDividerModule,
  Za as IgrDockManager,
  _a as IgrDockManagerModule,
  st as IgrDockManagerPaneType,
  lt as IgrDockManagerResourceStringsEN,
  It as IgrDockManagerResourceStringsES,
  dt as IgrDockManagerResourceStringsJP,
  mt as IgrDockManagerResourceStringsKO,
  pt as IgrDockingIndicatorPosition,
  Ln as IgrDropdown,
  zn as IgrDropdownGroup,
  xn as IgrDropdownGroupModule,
  Bn as IgrDropdownHeader,
  An as IgrDropdownHeaderModule,
  Hn as IgrDropdownItem,
  En as IgrDropdownItemModule,
  Gn as IgrDropdownModule,
  Pe as IgrExpansionPanel,
  be as IgrExpansionPanelModule,
  fn as IgrFileInput,
  Fn as IgrFileInputModule,
  he as IgrIcon,
  _e as IgrIconButton,
  $e as IgrIconButtonModule,
  Re as IgrIconModule,
  Dn as IgrInput,
  yn as IgrInputModule,
  Xn as IgrLinearProgress,
  Yn as IgrLinearProgressModule,
  na as IgrList,
  Zn as IgrListHeader,
  _n as IgrListHeaderModule,
  $n as IgrListItem,
  ea as IgrListItemModule,
  aa as IgrListModule,
  ta as IgrMaskInput,
  oa as IgrMaskInputModule,
  sa as IgrNavDrawer,
  ga as IgrNavDrawerHeaderItem,
  ra as IgrNavDrawerHeaderItemModule,
  ca as IgrNavDrawerItem,
  ia as IgrNavDrawerItemModule,
  la as IgrNavDrawerModule,
  Ia as IgrNavbar,
  da as IgrNavbarModule,
  Ct as IgrPaneActionBehavior,
  ut as IgrPaneDragActionType,
  ma as IgrRadio,
  Ca as IgrRadioGroup,
  ua as IgrRadioGroupModule,
  pa as IgrRadioModule,
  Ra as IgrRangeSlider,
  Pa as IgrRangeSliderModule,
  Sa as IgrRating,
  Ta as IgrRatingModule,
  Na as IgrRatingSymbol,
  Ma as IgrRatingSymbolModule,
  Nt as IgrResizerLocation,
  Da as IgrRipple,
  ya as IgrRippleModule,
  Vn as IgrSelect,
  Un as IgrSelectGroup,
  jn as IgrSelectGroupModule,
  qn as IgrSelectHeader,
  Qn as IgrSelectHeaderModule,
  Jn as IgrSelectItem,
  Kn as IgrSelectItemModule,
  Wn as IgrSelectModule,
  ka as IgrSlider,
  va as IgrSliderLabel,
  ha as IgrSliderLabelModule,
  Oa as IgrSliderModule,
  ba as IgrSnackbar,
  wa as IgrSnackbarModule,
  Mt as IgrSplitPaneOrientation,
  qa as IgrStep,
  Qa as IgrStepModule,
  Va as IgrStepper,
  Wa as IgrStepperModule,
  La as IgrSwitch,
  Ga as IgrSwitchModule,
  Ha as IgrTab,
  Ea as IgrTabModule,
  za as IgrTabs,
  xa as IgrTabsModule,
  fa as IgrTextarea,
  Fa as IgrTextareaModule,
  an as IgrTile,
  on as IgrTileManager,
  gn as IgrTileManagerModule,
  tn as IgrTileModule,
  Ba as IgrToast,
  Aa as IgrToastModule,
  Ae as IgrToggleButton,
  Le as IgrToggleButtonModule,
  Xa as IgrTooltip,
  Ya as IgrTooltipModule,
  Ua as IgrTree,
  Ja as IgrTreeItem,
  Ka as IgrTreeItemModule,
  ja as IgrTreeModule,
  St as IgrUnpinnedLocation,
  ot as configureTheme,
  gt as registerIcon,
  rt as registerIconFromText,
  ct as setIconRef
};
//# sourceMappingURL=components.js.map
