import { IgcCarouselIndicatorComponent as Component } from 'igniteui-webcomponents';
/**
 * Used when a custom indicator needs to be passed to the `igc-carousel` component.
 * @slot  - Default slot for projected inactive indicator.
 * @slot active - Default slot for projected active indicator.
 * @csspart indicator - The wrapping container of the carousel dot indicator.
 * @csspart inactive - The wrapping container of the inactive dot indicator.
 * @csspart active - The wrapping container of the active dot indicator.
 */
export declare const IgrCarouselIndicator: import("../react-props.js").ReactWebComponent<Component, {}, {}>;
export type IgrCarouselIndicator = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrCarouselIndicatorModule: typeof Component;
