import { IgcCircularGradientComponent as Component } from 'igniteui-webcomponents';
/**
 * Used for defining gradient stops in the igc-circular-progress.
 * For each `igc-circular-gradient` defined as `gradient` slot of `igc-circular-progress` element would be created a SVG stop element.
 * The values passed as `color`, `offset` and `opacity` would be set as
 * `stop-color`, `offset` and `stop-opacity` of the SVG element without further validations.
 */
export declare const IgrCircularGradient: import("../react-props.js").ReactWebComponent<Component, {}, {}>;
export type IgrCircularGradient = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrCircularGradientModule: typeof Component;
