import { IgcDividerComponent as Component } from 'igniteui-webcomponents';
/**
 * The igc-divider allows the content author to easily create a horizontal/vertical rule as a break between content to better organize information on a page.
 * @cssproperty --color - Sets the color of the divider.
 * @cssproperty --inset - Shrinks the divider by the given amount from the start. If `middle` is set it will shrink from both sides.
 */
export declare const IgrDivider: import("../react-props.js").ReactWebComponent<Component, {}, {}>;
export type IgrDivider = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrDividerModule: typeof Component;
