import { IgcNavDrawerItemComponent as Component } from 'igniteui-webcomponents';
/**
 * Represents a navigation drawer item.
 * @slot content - The content slot for the drawer item.
 * @slot icon - The slot for the icon of the drawer item.
 * @csspart base - The base wrapper of the drawer item.
 * @csspart icon - The icon container.
 * @csspart content - The content container.
 */
export declare const IgrNavDrawerItem: import("../react-props.js").ReactWebComponent<Component, {}, {}>;
export type IgrNavDrawerItem = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrNavDrawerItemModule: typeof Component;
