import { IgcToggleButtonComponent as Component } from 'igniteui-webcomponents';
/**
 * The `igc-toggle-button` wraps a native button element and exposes additional `value` and `selected` properties.
 * It is used in the context of an `igc-button-group` to facilitate the creation of group/toolbar like UX behaviors.
 * @slot Renders - the label/content of the button.
 * @csspart toggle - The native button element.
 */
export declare const IgrToggleButton: import("../react-props.js").ReactWebComponent<Component, {}, {}>;
export type IgrToggleButton = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrToggleButtonModule: typeof Component;
