import { IgcDockManagerComponent as Component } from 'igniteui-dockmanager';
import type { IgcDockManagerEventMap } from 'igniteui-dockmanager';
import { type EventName } from '../react-props.js';
export declare const IgrDockManager: import("../react-props.js").ReactWebComponent<Component, {
    onPaneHeaderConnected: EventName<IgcDockManagerEventMap["paneHeaderConnected"]>;
    onPaneHeaderDisconnected: EventName<IgcDockManagerEventMap["paneHeaderDisconnected"]>;
    onTabHeaderConnected: EventName<IgcDockManagerEventMap["tabHeaderConnected"]>;
    onTabHeaderDisconnected: EventName<IgcDockManagerEventMap["tabHeaderDisconnected"]>;
    onSplitterResizeStart: EventName<IgcDockManagerEventMap["splitterResizeStart"]>;
    onSplitterResizeEnd: EventName<IgcDockManagerEventMap["splitterResizeEnd"]>;
    onPaneClose: EventName<IgcDockManagerEventMap["paneClose"]>;
    onPaneScroll: EventName<IgcDockManagerEventMap["paneScroll"]>;
    onPanePinnedToggle: EventName<IgcDockManagerEventMap["panePinnedToggle"]>;
    onActivePaneChanged: EventName<IgcDockManagerEventMap["activePaneChanged"]>;
    onPaneDragStart: EventName<IgcDockManagerEventMap["paneDragStart"]>;
    onPaneDragOver: EventName<IgcDockManagerEventMap["paneDragOver"]>;
    onPaneDragEnd: EventName<IgcDockManagerEventMap["paneDragEnd"]>;
    onFloatingPaneResizeMove: EventName<IgcDockManagerEventMap["floatingPaneResizeMove"]>;
    onFloatingPaneResizeEnd: EventName<IgcDockManagerEventMap["floatingPaneResizeEnd"]>;
    onFloatingPaneResizeStart: EventName<IgcDockManagerEventMap["floatingPaneResizeStart"]>;
    onLayoutChange: EventName<IgcDockManagerEventMap["layoutChange"]>;
}, {}>;
export type IgrDockManager = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrDockManagerModule: {
    register: () => void;
};
export * from './types.js';
