import { IgcAvatarComponent as Component } from 'igniteui-webcomponents';
/**
 * An avatar component is used as a representation of a user identity
 * typically in a user profile.
 * @slot  - Renders an icon inside the default slot.
 * @csspart base - The base wrapper of the avatar.
 * @csspart initials - The initials wrapper of the avatar.
 * @csspart image - The image wrapper of the avatar.
 * @csspart icon - The icon wrapper of the avatar.
 */
export declare const IgrAvatar: import("../react-props.js").ReactWebComponent<Component, {}, {}>;
export type IgrAvatar = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrAvatarModule: typeof Component;
