import { IgcButtonComponent as Component } from 'igniteui-webcomponents';
/**
 * Represents a clickable button, used to submit forms or anywhere in a
 * document for accessible, standard button functionality.
 * @slot  - Renders the label of the button.
 * @slot prefix - Renders content before the label of the button.
 * @slot suffix - Renders content after the label of the button.
 * @csspart base - The native button element of the igc-button component.
 * @csspart prefix - The prefix container of the igc-button component.
 * @csspart suffix - The suffix container of the igc-button component.
 */
export declare const IgrButton: import("../react-props.js").ReactWebComponent<Component, {}, {}>;
export type IgrButton = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrButtonModule: typeof Component;
