import { IgcNavDrawerComponent as Component } from 'igniteui-webcomponents';
/**
 * Represents a side navigation container that provides
 * quick access between views.
 * @slot  - The default slot for the igc-navigation-drawer.
 * @slot mini - The slot for the mini variant of the igc-navigation-drawer.
 * @csspart base - The base wrapper of the igc-navigation-drawer.
 * @csspart main - The main container of the igc-navigation-drawer.
 * @csspart mini - The mini container of the igc-navigation-drawer.
 */
export declare const IgrNavDrawer: import("../react-props.js").ReactWebComponent<Component, {}, {}>;
export type IgrNavDrawer = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrNavDrawerModule: typeof Component;
