import { IgcSelectItemComponent as Component } from 'igniteui-webcomponents';
/**
 * Represents an item in a select list.
 * @slot  - Renders the all content bar the prefix and suffix.
 * @slot prefix - Renders content before the main content area.
 * @slot suffix - Renders content after the main content area.
 * @csspart prefix - The prefix wrapper of the igc-select-item.
 * @csspart content - The main content wrapper of the igc-select-item.
 * @csspart suffix - The suffix wrapper of the igc-select-item.
 */
export declare const IgrSelectItem: import("../react-props.js").ReactWebComponent<Component, {}, {}>;
export type IgrSelectItem = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrSelectItemModule: typeof Component;
