import { IgcTabComponent as Component } from 'igniteui-webcomponents';
/**
 * A tab element slotted into an `igc-tabs` container.
 * @slot  - Renders the tab's content.
 * @slot label - Renders the tab header's label.
 * @slot prefix - Renders the tab header's prefix.
 * @slot suffix - Renders the tab header's suffix.
 * @csspart tab-header - The header of a single tab.
 * @csspart prefix - Tab header's label prefix.
 * @csspart content - Tab header's label slot container.
 * @csspart suffix - Tab header's label suffix.
 * @csspart tab-body - Holds the body content of a single tab, only the body of the selected tab is visible.
 */
export declare const IgrTab: import("../react-props.js").ReactWebComponent<Component, {}, {}>;
export type IgrTab = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrTabModule: typeof Component;
